#include "Base.h"
#include <iostream>

// t a y l o r@msoe.edu, 4/19/2004
Base::Base() : value(0)
{
	std::cerr << "Base: default constructor\n";
}

// t a y l o r@msoe.edu, 4/19/2004
Base::Base(const Base& org) : value(org.value)
{
	std::cerr << "Base: copy constructor\n";
}

// t a y l o r@msoe.edu, 4/19/2004
Base::~Base()
{
	std::cerr << "Base: destructor\n";
}

// t a y l o r@msoe.edu, 4/19/2004
Base& Base::operator=(const Base& rhs)
{
	std::cerr << "Base: operator=\n";
	if(this!=&rhs) {
		value = rhs.value;
	}
	return *this;
}

// t a y l o r@msoe.edu, 4/19/2004
void Base::increment()
{
	std::cerr << "Base: increment\n";
	++value;
}

// t a y l o r@msoe.edu, 4/19/2004
unsigned int Base::getValue() const
{
	std::cerr << "Base: getValue\n";
	return value;
}